package com.ho.business.service;

import com.ho.business.vo.resp.InverterResp.InverterPvValueRespVO;
import com.ho.business.vo.resp.InverterResp.ModelInverter;
import com.ho.business.vo.resp.InverterResp.ModelNewInverter;

import java.util.List;

/**
 * @author gyan
 * @desc: 逆变器方法服务类
 * @DateTime: 2023/2/14 9:49
 */
public interface InverterMethodService {
    //禾望逆变器（一个电压对两个电流：1-->1、2）
    List<InverterPvValueRespVO> getInverterHW(ModelNewInverter modelInverter);

    //华为逆变器（一对一的关系 1-->1）
    List<InverterPvValueRespVO> getInverterHuaWei(ModelNewInverter modelInverter);

    //阳光逆变器（一对一）
    List<InverterPvValueRespVO> getInverterYG(ModelNewInverter modelInverter);

    //固德威逆变器（一对一）
    List<InverterPvValueRespVO> getInverterGdw(ModelNewInverter modelInverter);

    //禾望逆变器不存在时的处理方法
    List<InverterPvValueRespVO> copeNotExistHw();

    //阳光逆变器不存在时的处理方法
    List<InverterPvValueRespVO> copeNotExistYG();

    //华为逆变器不存在时的处理方法
    List<InverterPvValueRespVO> copeNotExistHuaWei();

    //固德威逆变器不存在时的处理方法
    List<InverterPvValueRespVO> copeNotExistGdw();
}
